Package kiyut.sketsa.options

## Class SourceEditorOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.options.SourceEditorOptions

- All Implemented Interfaces:
    `Options`

      public class SourceEditorOptions
      extends AbstractOptions

  SourceEditor settings for Netbeans Platform Settings. It keep the window location, width and height
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BOUNDS_PROPERTY` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SourceEditorOptions()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Rectangle` | `getBounds()` |
    `List<String>` | `getFindList()` |
    `static SourceEditorOptions` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `List<String>` | `getReplaceList()` |
    `void` | `setBounds​(Rectangle rv)` |
    `void` | `setFindReplaceList​(List<String> findList, List<String> replaceList)` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOUNDS_PROPERTY

          public static final String BOUNDS_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SourceEditorOptions

          protected SourceEditorOptions()

  - ### Method Detail

    - #### getInstance

          public static SourceEditorOptions getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        The single instance.

    - #### getBounds

          public Rectangle getBounds()

    - #### setBounds

          public void setBounds​(Rectangle rv)

    - #### getFindList

          public List<String> getFindList()

    - #### getReplaceList

          public List<String> getReplaceList()

    - #### setFindReplaceList

          public void setFindReplaceList​(List<String> findList,
                                         List<String> replaceList)